//****************************************************************************************
// моргульчик с/диодом
//****************************************************************************************
#include <Arduino.h>
volatile boolean lastLedState;
volatile uint32_t lastLedTime;

void _setupLed (int port)
{
  pinMode(port, OUTPUT);                
  digitalWrite(port, LOW);              
}


void _blinker (int port, int i, int j)
{
  if (lastLedState && millis()-lastLedTime > i)
  {
    lastLedTime = millis();
    lastLedState = !lastLedState;
    digitalWrite(port, HIGH);
    return;
  }
  if (!lastLedState && millis()-lastLedTime > j)
  {
    lastLedTime = millis();
    lastLedState = !lastLedState;
    digitalWrite(port, LOW);
    return;
  }
}