//****************************************************************************************
// обработка нажатия/отпускания кнопки
//****************************************************************************************
#include <Arduino.h>
volatile boolean lastButState;
volatile uint32_t lastButtTime;

void _setupButton (int port)
{
  pinMode(port, INPUT_PULLUP);
}

boolean _button (int port, int timeOut)
{
  if (lastButState && digitalRead(port) && millis()-lastButtTime > timeOut)
  { 
    lastButState = 0;
    lastButtTime = millis();
    return (lastButState);
  }
  if (!lastButState && !digitalRead(port) && millis()-lastButtTime > timeOut)
  { 
    lastButState = 1;
    lastButtTime = millis();
    return (lastButState);
  }
  if (!lastButState && digitalRead(port) || lastButState && !digitalRead(port)) lastButtTime = millis();
//  lastButtTime = millis();
  return (lastButState);
}